質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.42%
Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

Q&A

解決済

3回答

14680閲覧

tensorflowの最新版をインストールできない。

Keiti

総合スコア5

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

0グッド

1クリップ

投稿2020/07/04 10:26

tensorflowの最新バージョンをインストールしたいです。環境は以下になります。

python3.7
windows10
anaconda navigatorでjupyter notebook使用

まず、tensorflowのインストールをするためにアナコンダプロンプトで次のコードを実行しました。
①conda install tensorflow
結果:PackagesNotFoundError: The following packages are not available from current channels:

②anaconda cloud に書いてあるtensorflowをインストールするコード4つ(下記サイトに表記されています)
https://anaconda.org/conda-forge/tensorflow
結果:PackagesNotFoundError: The following packages are not available from current channels:

③tensorflow1.8.0をインストールしたうえで下記コード
pip install --upgrade https: //storage..googleapis.com/tensorflow/windows/cpu/tensorflow_cpu-2.1.0-cp37-cp37m-win_amd64.whl
結果:
ERROR: tensorflow_cpu-2.1.0-cp37-cp37m-win_amd64.whl is not a supported wheel on this platform.

色々試したのですがどうにもインストールできません。素人でも分かるように簡単な方法をご教示お願いいたします。

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

Keiti

2020/07/10 08:24

連絡が遅れてすみません。こちらのサイトのどのプログラムでしょうか?
guest

回答3

0

ベストアンサー

もしかしたらですけどpip Install Error: don't could find version that satisfies the requirement tensorflow #39130

このサイトによるとpipのバージョンが19.0以上じゃないとをtensorflowがインストールできないため

pip install --upgrade pip

を実行して
①を試してみてください
もしこれでもうまくいかなければGoogle Colaboratoryを使った方が簡単です

投稿2020/07/13 09:56

編集2020/07/13 10:01
mi.dai.tomo

総合スコア40

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

Keiti

2020/07/13 12:12

他パソコンにデータを移行し、アナコンダを入れなおしたらすんなりインストールできました。原因はわからなかったのですが本当にお世話になりました。感謝しております。
guest

0

多分ですけど、現在のチャンネルでは入手できないと書いてあるのでこのサイトに書いてあるとおりにチャンネルにconda-forgeというものを追加したらうまくいくと思います

conda config --append channels conda-forge

を実行してみて
https://anaconda.org/conda-forge/tensorflow

に書いてあるコマンドを使えばインストールできると思います。
もしそれができなかったら pip でtensorflowをインストールしてみたほうが簡単にうまくいくと思います

投稿2020/07/11 05:27

mi.dai.tomo

総合スコア40

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

Keiti

2020/07/11 08:04

勉強になりました!そんな方法もあったのですね。しかしまたもやエラーが出てしまいましたのでpip install も試したのですが、こちらもエラーが出ている状態です。 1つ目のコードとエラー (base) C:\Users\17T460>pip install tensorflow ERROR: Could not find a version that satisfies the requirement tensorflow (from versions: none) ERROR: No matching distribution found for tensorflow 2つ目のコードとエラ2ー (base) C:\Users\17T460>pip3 install --upgrade https://storage.googleapis.com/tensorflow/windows/cpu/tensorflow_cpu-2.1.0-cp37-cp37m-win_amd64.whl ERROR: tensorflow_cpu-2.1.0-cp37-cp37m-win_amd64.whl is not a supported wheel on this platform. 3つ目のコードとエラー (base) C:\Users\17T460>pip install --upgrade https://storage.googleapis.com/tensorflow/windows/cpu/tensorflow_cpu-2.1.0-cp37-cp37m-win_amd64.whl ERROR: tensorflow_cpu-2.1.0-cp37-cp37m-win_amd64.whl is not a supported wheel on this platform. 4つ目のコードとエラー (base) C:\Users\17T460>pip install https://storage.googleapis.com/tensorflow/windows/cpu/tensorflow_cpu-2.1.0-cp37-cp37m-win_amd64.whl ERROR: tensorflow_cpu-2.1.0-cp37-cp37m-win_amd64.whl is not a supported wheel on this platform. ②~④のエラーは下記サイトに原因が書いてありました。 https://qiita.com/r-ngtm/items/f7dc53bf713d12f6be9d このサイトでwhlファイルのダウンロードを行えるサイト(https://www.lfd.uci.edu/~gohlke/pythonlibs/#tensorflow)が紹介されていますが、いまいち使い方が分からないです。
guest

0

あまりanacondaは使ったことないですけど、調べたところもう一つパッケージがありました
https://anaconda.org/conda-forge/tensorflow
の方のパッケージではなく、
https://anaconda.org/anaconda/tensorflow
の方のパッケージではないでしょうか。
ちなみに、そのパッケージをインストールするコマンドは

conda install -c anaconda tensorflow

です。

投稿2020/07/05 01:29

mi.dai.tomo

総合スコア40

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

Keiti

2020/07/10 08:32

アナコンダプロンプトから実行した結果が以下になります。 ②の結果と同じだと思います。何がダメなんですかね。 (base) C:\Users\17T460>conda install -c anaconda tensorflow Collecting package metadata (current_repodata.json): done Solving environment: failed with initial frozen solve. Retrying with flexible solve. Collecting package metadata (repodata.json): done Solving environment: failed with initial frozen solve. Retrying with flexible solve. PackagesNotFoundError: The following packages are not available from current channels: - tensorflow Current channels: - https://conda.anaconda.org/anaconda/win-32 - https://conda.anaconda.org/anaconda/noarch - https://repo.anaconda.com/pkgs/main/win-32 - https://repo.anaconda.com/pkgs/main/noarch - https://repo.anaconda.com/pkgs/r/win-32 - https://repo.anaconda.com/pkgs/r/noarch - https://repo.anaconda.com/pkgs/msys2/win-32 - https://repo.anaconda.com/pkgs/msys2/noarch To search for alternate channels that may provide the conda package you're looking for, navigate to https://anaconda.org and use the search bar at the top of the page.
guest

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.42%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問